Transfers
Cancel a transfer
Cancel a pending transfer by setting its status to cancelled. Only transfers in pending status can be cancelled before processing begins. Returns the updated transfer resource with cancelled status. Use this endpoint to stop a bank transfer from further processing.
POST
/
transfers
/
{id}
cURL
POST https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"status": "cancelled"
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var transferUrl =
"https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388";
var requestBody = {
status: "cancelled",
};
dwolla.post(transfer_url, requestBody).then((res) => res.body.status); // => "cancelled"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
'status': 'cancelled'
}
transfer = app_token.post(transfer_url, request_body)
transfer.body['status'] # => 'cancelled'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$transfersApi = new DwollaSwagger\TransfersApi($apiClient);
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388';
$transfer = $transfersApi->update([
'status' => 'cancelled',
], $transferUrl);
$transfer->status; # => "cancelled"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
"status" => "cancelled",
}
transfer = app_token.post "#{transfer_url}", request_body
transfer.status # => "cancelled"
{}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
ID of transfer
Body
application/json
Parameters to cancel a transfer
Allowed value:
"cancelled"Response
successful operation
The response is of type object.
Was this page helpful?
⌘I
cURL
POST https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"status": "cancelled"
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var transferUrl =
"https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388";
var requestBody = {
status: "cancelled",
};
dwolla.post(transfer_url, requestBody).then((res) => res.body.status); // => "cancelled"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
'status': 'cancelled'
}
transfer = app_token.post(transfer_url, request_body)
transfer.body['status'] # => 'cancelled'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$transfersApi = new DwollaSwagger\TransfersApi($apiClient);
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388';
$transfer = $transfersApi->update([
'status' => 'cancelled',
], $transferUrl);
$transfer->status; # => "cancelled"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
transfer_url = 'https://api-sandbox.dwolla.com/transfers/3d48c13a-0fc6-e511-80de-0aa34a9b2388'
request_body = {
"status" => "cancelled",
}
transfer = app_token.post "#{transfer_url}", request_body
transfer.status # => "cancelled"
{}{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}